# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PlanarBox Class Reference

`#include <StepVisual_PlanarBox.hxx>`

Inheritance diagram for StepVisual_PlanarBox:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_PlanarBox ()
| Returns a PlanarBox .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Real aSizeInX, const Standard_Real aSizeInY)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Real aSizeInX, const Standard_Real aSizeInY, const StepGeom_Axis2Placement &aPlacement)
Standard_EXPORT void | SetPlacement (const StepGeom_Axis2Placement &aPlacement)
Standard_EXPORT StepGeom_Axis2Placement | Placement () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepGeom_Axis2Placement | placement

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PlanarBox::StepVisual_PlanarBox | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PlanarBox::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_PlanarExtent.

virtual Standard_EXPORT void StepVisual_PlanarBox::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Real | aSizeInX,
|  | const Standard_Real | aSizeInY,
|  | const StepGeom_Axis2Placement & | aPlacement
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_PlanarBox::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Real | aSizeInX,
|  | const Standard_Real | aSizeInY
| ) | `[virtual]`

| Reimplemented from StepVisual_PlanarExtent.

Standard_EXPORT StepGeom_Axis2Placement StepVisual_PlanarBox::Placement | ( |  | ) | const

Standard_EXPORT void StepVisual_PlanarBox::SetPlacement | ( | const StepGeom_Axis2Placement & | aPlacement | ) |

## Field Documentation

StepGeom_Axis2Placement StepVisual_PlanarBox::placement `[private]`

The documentation for this class was generated from the following file:

- StepVisual_PlanarBox.hxx